package com.zt.common;

import com.fasterxml.jackson.annotation.JsonFormat;
import jakarta.validation.constraints.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Date 2025/3/29 10:38
 * @Author neko
 **/
@Data
public class Shoop {
    @NotBlank(message = "appId不能为空")
    private String appId;
    @NotBlank(message = "请求id不能为空")
    private String reqId;
    @NotBlank(message = "签名不能为空")
    private String sign;
    @NotNull(message = "时间不能为空")
    private Long reqTime;
    @NotNull(message = "商品id不能为空")
    private Long goodsId;
    @NotNull(message = "商品数量不能为空")
    @Min(value = 1, message = "商品数量大于0")
    private Long amount;
    @NotNull(message = "价格不能为空")
    @DecimalMin(value = "0", message = "价格大于0")
    @DecimalMax(value = "9999", message = "价格小于9999")
    private Double price;
    @NotNull(message = "手机号不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;
    @NotNull(message = "日期格不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date NewDate;
}
